Does QorIQ SDK support Azure IoT Edge

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Does QorIQ SDK support Azure IoT Edge

1,037 Views
angelikileonida
Contributor II

Hi,

a have an ls1012ardb board andI have build an fsl-image-networking image with latest yocto sdk  https://source.codeaurora.org/external/qoriq/qoriq-components/yocto-sdk/tree/readme

I would like to install azure iot edge. Does QorlQ SDK support this? 

Since I am new to QorlQ developement i have some basic questions :

  1. I have found this documentation https://freescale.sdlproducts.com/LiveContent/content/en-US/QorIQ_SDK is that valid ?
  2.  how can i create a linux image that supports docker ?

Thank you in advance,

Angeliki.  

Labels (1)
Tags (1)
0 Kudos
Reply
4 Replies

820 Views
yipingwang
NXP TechSupport
NXP TechSupport

Hello Angeliki Leonida,

Azure recipes are not provided in the Yocto SDK by default, please download recipes-azure from GitHub - intel-iot-devkit/meta-iot-cloud: OpenEmbedded layer to add support for multiple cloud servi..., you could download the folder meta-iot-cloud directly.

Docker is a Linux user space package that can be added to a rootfs using the Yocto build system.

bitbake fsl-image-virt

These options can be enabled automatically by building the Linux kernel with an additional config fragment. In order to do this, add the following line in the conf/local.conf file in the Yocto build environment:
DELTA_KERNEL_DEFCONFIG_append = " <sdk-devel>/sources/meta-freescale/recipes-kernel/linux/files/
containers.config"


Have a great day,
TIC

-----------------------------------------------------------------------------------------------------------------------
Note: If this post answers your question, please click the Correct Answer button. Thank you!
-----------------------------------------------------------------------------------------------------------------------

0 Kudos
Reply

820 Views
angelikileonida
Contributor II

Hi, 

I am a bit confused. I have downloaded yocto project sumo  from :  https://source.codeaurora.org/external/qoriq/qoriq-components/yocto-sdk -b sumo

in this version fsl-image-virt is not available. only fsl-image-networking and fsl-image-networking-full. 

should i use the QorlQ SDK v2.0 documentation as descibed here. what is the difference between the git repo and the QorlQ SDK 2.0 ISO. 

Thank you.

0 Kudos
Reply

820 Views
angelikileonida
Contributor II

Hi, 

I have managed to create  fsl-image-virt for ls1012ardb using QorlQ SDK v2.0.  i have two questions

1. currently  QorlQ SDK v2.0 is based on jethro. Does QorlQ SDK v2.0 support yocto sumo branch ? Should I switch all the layers to sumo? 

2. In  the mean time I am trying  trying to setup QorIQ Layerscape SDK as build enviroment. Which of the 

QorlQ SDK v2.0 or QorIQ Layerscape SDK  is remomented and best supported? 

BR , Angeliki

0 Kudos
Reply

820 Views
anegoiko
Contributor III

Hi angelikileonida,

I have just started working with the QorlQ T2080 and I have the same doubts.

Are you finally using QorlQ SDK or Layerscape? Did you get QorlQ SDK v2.0 to work with sumo layers?

Thank you,

0 Kudos
Reply